Bug 104033 - Feature Request: To add MS Excel Camera option to Calc's Edit menu
Summary: Feature Request: To add MS Excel Camera option to Calc's Edit menu
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2016-11-19 16:33 UTC by williams.mavis
Modified: 2018-01-12 16:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description williams.mavis 2016-11-19 16:33:40 UTC
The Camera option creates a scaleable image that shows the values in a selected range in one sheet that is inserted and anchored to another cell defined by the user. It can be linked via DDE to the source range so that the image displays any changes made.
Comment 1 V Stuart Foote 2016-11-19 18:56:20 UTC
Can't say I see any compelling need for this UI, but before rejecting out of hand dev thoughts on ease of implementing similar in Calc? 

Would the image of some selected range be sv meta/bmp or an external format, assume similar is done for rendering Chart over a sheet?

But, if too complicated to do reliably--don't.
Comment 2 Heiko Tietze 2016-11-20 03:36:32 UTC
Looks like Microsoft has also no idea about the use case and hides this feature by default. The result can be achieved with existing functions, references, or per copy/paste. 

Anyway, the 'viewport' has to be resizable, rotatable, and scalable. That's what people talk about when referring to the camera thing.
Comment 3 Xisco Faulí 2017-11-01 23:06:59 UTC
@Heiko, @V Stuart,
should this enhancement be accepted or rejected then?
Comment 4 V Stuart Foote 2017-11-01 23:32:01 UTC
UI is out of line, questionable use case and not clear there'd be any dev interest in the effort.

So, WONTFIX
Comment 5 Gauthier 2018-01-12 16:52:53 UTC
That's fair enough if no dev are into this.

But not sure it's because MS has no idea about use case that's it's not there by default. It might simply be because use case are quite specific?

If it is possible to achieve same result with existing functions, I (and others) would love to know how? It is a pretty useful tool for layout and printing spreadsheets. For example how could you print two different sheets (with different column width etc.) on one page in calc (and maybe also having the two sheets on different scaling factor)?

At least I couldn't do it and when I looked it up on the camera tool came up and everyone said it is not possible to do in LO.

http://www.imaccanici.org/en.libreofficeforum.org/node/13468.html
https://forum.openoffice.org/en/forum/viewtopic.php?f=9&t=1511

Seems like a few people would like this...

https://bugs.documentfoundation.org/show_bug.cgi?id=89980

https://ask.libreoffice.org/en/question/64422/tool-camera-in-ms-excell/